package com.sz.admin.monitor.utils;

/**
 * @author zxsong
 */
public class ThreeDPtz {
    /*
     * 该结构体中的坐标值与当前预览显示框的大小有关，现假设预览显示框为352*288,我们规定原点为预览显示框左上角的顶点，前四个参数计算方法如下:
     * xTop=鼠标当前所选区域的起始点坐标的值*255/352;
     * xBottom =鼠标当前所选区域的结束点坐标的值*255/352;
     * yTop=鼠标当前所选区域的起始点坐标的值*255/288;
     * yBottom=鼠标当前所选区域的结束点坐标的值*255/288;
     * 缩小条件:×Top减去xBottom的值大于2。放大条件:xTop小于xBottom.
     *
     * desc: 屏幕左下角为坐标原点
     */
    private double xTop;
    private double xBottom;
    private double yTop;
    private double yBottom;
    private double bCounter;
    private int realPlayWndWidth;
    private int realPlayWndHeight;

    public double getxTop() {
        return xTop;
    }

    public void setxTop(double xTop) {
        this.xTop = xTop;
    }

    public double getxBottom() {
        return xBottom;
    }

    public void setxBottom(double xBottom) {
        this.xBottom = xBottom;
    }

    public double getyTop() {
        return yTop;
    }

    public void setyTop(double yTop) {
        this.yTop = yTop;
    }

    public double getyBottom() {
        return yBottom;
    }

    public void setyBottom(double yBottom) {
        this.yBottom = yBottom;
    }

    public double getbCounter() {
        return bCounter;
    }

    public void setbCounter(double bCounter) {
        this.bCounter = bCounter;
    }

    public int getRealPlayWndWidth() {
        return realPlayWndWidth;
    }

    public void setRealPlayWndWidth(int realPlayWndWidth) {
        this.realPlayWndWidth = realPlayWndWidth;
    }

    public int getRealPlayWndHeight() {
        return realPlayWndHeight;
    }

    public void setRealPlayWndHeight(int realPlayWndHeight) {
        this.realPlayWndHeight = realPlayWndHeight;
    }
}
